patch-configure 2.4 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283
  1. --- snort-2.8.5.1.orig/configure 2009-10-19 23:08:11.000000000 +0200
  2. +++ snort-2.8.5.1/configure 2009-12-27 15:59:57.000000000 +0100
  3. @@ -24242,70 +24242,7 @@ _ACEOF
  4. fi
  5. -# In case INADDR_NONE is not defined (like on Solaris)
  6. -have_inaddr_none="no"
  7. -echo "$as_me:$LINENO: checking for INADDR_NONE" >&5
  8. -echo $ECHO_N "checking for INADDR_NONE... $ECHO_C" >&6
  9. -if test "$cross_compiling" = yes; then
  10. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  11. -See \`config.log' for more details." >&5
  12. -echo "$as_me: error: cannot run test program while cross compiling
  13. -See \`config.log' for more details." >&2;}
  14. - { (exit 1); exit 1; }; }
  15. -else
  16. - cat >conftest.$ac_ext <<_ACEOF
  17. -/* confdefs.h. */
  18. -_ACEOF
  19. -cat confdefs.h >>conftest.$ac_ext
  20. -cat >>conftest.$ac_ext <<_ACEOF
  21. -/* end confdefs.h. */
  22. -
  23. -#include <sys/types.h>
  24. -#include <netinet/in.h>
  25. -#include <arpa/inet.h>
  26. -
  27. -int
  28. -main ()
  29. -{
  30. -
  31. - if (inet_addr("10,5,2") == INADDR_NONE);
  32. - return 0;
  33. -
  34. - ;
  35. - return 0;
  36. -}
  37. -_ACEOF
  38. -rm -f conftest$ac_exeext
  39. -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
  40. - (eval $ac_link) 2>&5
  41. - ac_status=$?
  42. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  43. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  44. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  45. - (eval $ac_try) 2>&5
  46. - ac_status=$?
  47. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  48. - (exit $ac_status); }; }; then
  49. - have_inaddr_none="yes"
  50. -else
  51. - echo "$as_me: program exited with status $ac_status" >&5
  52. -echo "$as_me: failed program was:" >&5
  53. -sed 's/^/| /' conftest.$ac_ext >&5
  54. -
  55. -( exit $ac_status )
  56. -have_inaddr_none="no"
  57. -fi
  58. -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  59. -fi
  60. -echo "$as_me:$LINENO: result: $have_inaddr_none" >&5
  61. -echo "${ECHO_T}$have_inaddr_none" >&6
  62. -if test "x$have_inaddr_none" = "xno"; then
  63. -
  64. -cat >>confdefs.h <<\_ACEOF
  65. -#define INADDR_NONE -1
  66. -_ACEOF
  67. -
  68. -fi
  69. +have_inaddr_none="yes"
  70. cat >conftest.$ac_ext <<_ACEOF
  71. /* confdefs.h. */
  72. @@ -24959,7 +24896,7 @@ fi
  73. # that versions < 0.9 do not accumulate packet statistics whereas >= 0.9 do accumulate.
  74. # This is Linux only. The check is done after pcre because the code below uses pcre.
  75. # It seems Phil Wood's pcap does not accumulate - 0.9x
  76. -pcap_version_check="yes"
  77. +pcap_version_check="no"
  78. if test "x$linux" = "xyes"; then
  79. if test "x$pcap_version_check" = "xyes"; then
  80. echo "$as_me:$LINENO: checking for libpcap version >= 0.9" >&5